{
    "version": "2.0.0",
    "tasks": [
        {
            "label": "Compile C",
            "type": "shell",
            "command": "cmake",
            "args": [
                "--build", "${fileDirname}/build",
                "--config", "Debug",
                "--target", "TestCode",
                "--",
                "-j", "6"
            ],
            "group": {
                "kind": "build",
                "isDefault": true
            },
            "dependsOn": [
                "Build C"
            ]
        },
        {
            "label": "Clean",
            "type": "shell",
            "command": "rm",
            "args": [
                "-r", "${workspaceFolder}/*/*/build", "&&",
                "rm", "${workspaceFolder}/*/*/TestCode"
            ]
        },
        {
            "label": "Build C",
            "type": "shell",
            "command": "cmake",
            "args": [
                "-DCMAKE_C_COMPILER=/usr/bin/gcc",
                "-DCMAKE_CXX_COMPILER=/usr/bin/g++",
                "-DCMAKE_RUNTIME_OUTPUT_DIRECTORY=${fileDirname}",           
                "-B", "${fileDirname}/build",
                "-S", "${fileDirname}"
            ]
        }
    ]
}
